@import url('https://fonts.googleapis.com/css2?family=Kumbh+Sans:wght@100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #111;
}

:root {
    --primary-color: #5f5f5f;
    --secondary-color: #c2b4b4;
    --font: "Kumbh Sans", sans-serif;
    --cursor: pointer;
} 

.cards {
    /* height: 100;  */
    width: 100%;
    display: flex;
    justify-content: center;
    background-color: #111;
    align-items: center;
    flex-direction: column;
    max-width: 1550px;
    margin: auto;
}

.head-btn {
    display: flex;
    justify-content: space-between;
    color: var(--secondary-color);
    width: 100%;
    padding: 0 30px;
    margin-top: 10px;
    font-family: var(--font);
}

.head-btn button {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px;
    padding: 12px 30px;
    background-color: transparent;
    color: var(--secondary-color);
    border: 1px solid var(--primary-color);
    cursor: var(--cursor);
} 

.head-btn button:hover {
    border: 1px solid var(--secondary-color);
    background-color: #222; 
    cursor: pointer;
    transition:0.2s all ease-in-out;
}

.head-btn button:active {
    transform: scale(0.95);
    transition: 0.05s all ease-in-out;
}

.menu-card {
    background-color: #111;
    display: flex;
    border-radius: 20px;
    width: 100%;
    gap: 20px;
    margin-top: 30px;   
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);}

.card-content {
    background-color: #121212;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100%;
    width: 100%;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 
    0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.card-content img{  
    height: 250px;
    width: 100%;
    border-radius: 15px;
}

.card-content img:hover {
    transform: scale(0.95);
    transition: 0.2s all ease-in-out;
    cursor: pointer;
}

.card-content .card-details  {
    font-family: var(--font);
    padding: 7px 0;
    color: var(--secondary-color);
    background-color: #121212;
}

.card-details p:first-child {
    width: 80%;
    margin: auto;
}

.social-icons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 10px 10px 10px;
    background-color: #121212;
    width: 100%;
}

.social-icons button {
    padding: 6px 12px;
    border-radius: 7px;
    background-color: transparent;
    color: var(--secondary-color);
    border: 1px solid var(--primary-color); 
    cursor: pointer;

}

.social-icons button:active {
    transform: scale(0.94);
    transition: 0.03s all ease-in-out;
}

@media screen and (max-width:1100px) {

    .card-content .card-details  {
    padding: 10px 10px;
}

.card-details p:first-child {
    padding-bottom: 7px;
    font-size: 16px;
}

.card-details p:last-child {
    font-size: 14px;
}
}
@media screen and (max-width:950px) {

    .card-content img{  
        height: 220px;
    }

    .card-content .card-details  {
    font-family: var(--font);
    padding: 7px 0;
    color: var(--secondary-color);
    padding: 10px 10px;
    background-color: #121212;
}

.card-details p:first-child {
    padding-bottom: 7px;
    font-size: 13px;
    width: 100%;
    text-align: left;
    margin: 10px 10px;
}

}


@media screen and (max-width: 768px) {
 .cards {
        width: 100vw;
        padding: 20px 0;
    } 
  
    .menu-card {
        padding: 20px 0 0 0;
        flex-wrap: nowrap;
        row-gap: 50px;
        column-gap: 20px;
        width: 80%;
        scrollbar-color:var(--primary-color) var(--secondary-color);
        overflow-x: scroll;
        scroll-behavior: smooth;
    }

    .card-content {
        margin-top: 30px;
        background-color: #122;
        margin-bottom: 20px;    
    }

    .card-content img{
        height: 200px;
        width: 270px;
        border-radius: 15px;
    }

    .card-details p:first-child {
        padding-bottom: 7px;
        font-size: 18px;
    }

    .card-details p:last-child {
        font-size: 16px;
    }

    .social-icons {
        padding: 10px 10px;
    }   

    .social-icons button {
        transform: scale(1.1);
    }
    
}


@media screen and (max-width: 540px) {
 .cards {
        width: 100vw;
        padding: 20px 0;
    } 
  
    .menu-card {
        padding: 20px 0 0 0;
        flex-wrap: nowrap;
        row-gap: 50px;
        column-gap: 20px;
        width: 80%;
        scrollbar-color:var(--primary-color) var(--secondary-color);
        overflow-x: scroll;
        scroll-behavior: smooth;
    }

    .card-content {
        margin-top: 30px;
        background-color: #122;
        margin-bottom: 20px;    
    }

    .card-content img{
        height: 200px;
        width: 270px;
        border-radius: 15px;
    }

    .card-details p:first-child {
        padding-bottom: 7px;
        font-size: 18px;
    }

    .card-details p:last-child {
        font-size: 16px;
    }

    .social-icons {
        padding: 10px 10px;
    }   

    .social-icons button {
        transform: scale(1.1);
    }
    
}


